> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Autocomplete User > List the users whose names match a given pattern. ## OpenAPI ````json GET /api/v1/users.autocomplete { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.autocomplete": { "get": { "summary": "Autocomplete User", "operationId": "get-api-v1-users.autocomplete", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "items": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "status": { "type": "string" }, "name": { "type": "string" }, "nickname": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "items": [ { "_id": "6esQ6cpqSQYvoLTvC", "username": "Aaron.altamirano", "status": "offline", "name": "Aaron Altamirano ", "nickname": "aaron.altamirano@rocket.chat" }, { "_id": "AySWYsyzToxy3239z", "username": "Balazs.Nemethi", "status": "offline", "name": "Balázs Némethi" }, { "_id": "gxcJTYapi5mPxuAme", "username": "Bruno.Solis", "status": "offline", "name": "Bruno Solis", "avatarETag": "ZAHMxLQ6bW426Knwm" }, { "_id": "kvqbntLso8y2dEx7C", "username": "Ivan.Belousov", "status": "offline", "name": "Ivan" }, { "_id": "AkFjhgJFHAhNK3e6o", "status": "offline", "name": "Karina Monarkh", "username": "Karina" }, { "_id": "M3ajjGeyg8SfKXopd", "username": "Rucks_guest2", "status": "offline", "name": "Rucks_guest2", "nickname": "anonymous3" } ], "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'selector' [error-invalid-params]", "errorType": "error-invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "description": "List the users whose names match a given pattern.", "tags": [ "Users" ], "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "object" }, "example": { "exceptions": [ "john.doe" ], "conditions": { "status": "offline" }, "term": "user", "$or": [ { "type": "user" }, { "roles": [ "bot" ] } ] }, "in": "query", "name": "selector", "required": true, "description": "Filter the response with the parameters." } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } }, "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````